{
  "schema_version": "1.4.0",
  "id": "GHSA-q7j2-6vxr-m6xg",
  "modified": "2022-05-02T03:12:57Z",
  "published": "2022-05-02T03:12:57Z",
  "aliases": [
    "CVE-2009-0135"
  ],
  "details": "Multiple integer overflows in the Audible::Tag::readTag function in metadata/audible/audibletag.cpp in Amarok 1.4.10 through 2.0.1 allow remote attackers to execute arbitrary code via an Audible Audio (.aa) file with a large (1) nlen or (2) vlen Tag value, each of which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-0135"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=479560"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=479946"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-January/msg00708.html"
    },
    {
      "type": "WEB",
      "url": "http://amarok.kde.org/en/releases/2.0.1.1"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=254896"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-02/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2009/01/14/2"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33505"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33522"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33640"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33819"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34315"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34407"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200903-34.xml"
    },
    {
      "type": "WEB",
      "url": "http://securityreason.com/securityalert/4915"
    },
    {
      "type": "WEB",
      "url": "http://trapkit.de/advisories/TKADV2009-002.txt"
    },
    {
      "type": "WEB",
      "url": "http://websvn.kde.org/?view=rev&revision=908391"
    },
    {
      "type": "WEB",
      "url": "http://websvn.kde.org/?view=rev&revision=908401"
    },
    {
      "type": "WEB",
      "url": "http://websvn.kde.org/?view=rev&revision=908415"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1706"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:030"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/499984/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/33210"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1021558"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-739-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/0100"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-01-16T18:30:00Z"
  }
}